﻿using Xilium.CefGlue;

namespace CefGlueScreenshot
{
    class CefSimpleLifeSpanHandler : CefLifeSpanHandler
    {
        private readonly CefSimpleBrowser Core;

        public CefSimpleLifeSpanHandler(CefSimpleBrowser core)
        {
            this.Core = core;
        }

        protected override void OnAfterCreated(CefBrowser browser)
        {
            base.OnAfterCreated(browser);

            this.Core.BrowserAfterCreated(browser);
        }

        protected override bool DoClose(CefBrowser browser)
        {
            // TODO: ... dispose core
            return false;
        }
    }
}
